Skip to main content
GET
List customer objects

Authorizations

x-API-Key
string
header
required

Query Parameters

limit
integer
default:100

Maximum number of items to return

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of items to skip for pagination

Required range: x >= 0
sort
string

Sort field and direction (e.g. name:1, number:-1)

active
boolean

Filter by active status

Response

List of customer objects

number
integer
required

Unique number of the entity, used for identification

customerId
string<objectid>
required

The Customer this object belongs to

address
object
required

Physical address of the object

_id
string<objectid>

Unique identifier of the entity

companyId
string<objectid>

The ID of the company this entity belongs to

status
object

Entity Status information

chatId
string<objectid> | null

ID of the chat associated with this entity

name
string

Name of the customer object

contact
object

Contact information for the object

contract
object

Contract start and end date

objectManagerId
string<objectid> | null

The user responsible for managing this object

material
object[]

Material closet items for this object

location
object

GPS coordinates of the object

rating
number<float>

Quality rating of the object

Required range: 0 <= x <= 5
description
string

Additional description or notes

securityCode
any

Security access code for the object

key
any

Key information or access details

orderDescription
string

Order-specific description

contactName
string

Name of the contact person at the object

serviceRecipient
string | null

Service recipient information

tags
string[]

Tags associated with the object